summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2012-06-21 13:46:19 +0200
committerAndreas Maunz <andreas@maunz.de>2012-06-21 13:46:19 +0200
commit365ad4e93288b96233e38c6bc732c197315d41cf (patch)
tree4ec67cb8ee8d65d382d58c76f3283389e6f94b78
parent4d26a300f51d698c3558a89f7919caa92955321c (diff)
Support for bbrc-samplerelease/v3.2.0
-rwxr-xr-xopentox-webservices.sh8
-rw-r--r--ot-tools-root.sh6
-rw-r--r--ot-tools-user.sh6
3 files changed, 18 insertions, 2 deletions
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
index 88f864c..f9a85e2 100755
--- a/opentox-webservices.sh
+++ b/opentox-webservices.sh
@@ -60,8 +60,8 @@ done
# fminer etc
cmd="test -f $HOME/.opentox/config/production.yaml" && run_cmd "$cmd" "Config present"
cd "$WWW_DEST/opentox/algorithm" >>$LOG 2>&1
-cmd="$GIT submodule init" && run_cmd "$cmd" "Fminer Init"
-cmd="$GIT submodule update" && run_cmd "$cmd" "Fminer Update"
+cmd="$GIT submodule init" && run_cmd "$cmd" "Submodules init"
+cmd="$GIT submodule update" && run_cmd "$cmd" "Submodules update"
cd "libfminer/libbbrc">>$LOG 2>&1
$GIT checkout $OT_BRANCH>>$LOG 2>&1
$GIT pull >>$LOG 2>&1
@@ -83,6 +83,10 @@ cd - >>$LOG 2>&1
cd "last-utils">>$LOG 2>&1
$GIT checkout $OT_BRANCH>>$LOG 2>&1
$GIT pull >>$LOG 2>&1
+cd - >>$LOG 2>&1
+cd "bbrc-sample">>$LOG 2>&1
+$GIT checkout $OT_BRANCH>>$LOG 2>&1
+$GIT pull >>$LOG 2>&1
cd "$DIR"
diff --git a/ot-tools-root.sh b/ot-tools-root.sh
index 064ea29..9198f83 100644
--- a/ot-tools-root.sh
+++ b/ot-tools-root.sh
@@ -32,6 +32,12 @@ otupdate() {
return 1
fi
cd -
+ cd $HOME/opentox-ruby/www/opentox/algorithm/bbrc-sample
+ if ! git pull; then
+ echo "Error! Pull for Bbrc-Sample failed."
+ return 1
+ fi
+ cd -
cd opentox-ruby
LINK_DIR=`gem which opentox-ruby | sed 's/\/opentox-ruby.rb//'`
if [ -h $LINK_DIR ]; then
diff --git a/ot-tools-user.sh b/ot-tools-user.sh
index b002db6..49278a1 100644
--- a/ot-tools-user.sh
+++ b/ot-tools-user.sh
@@ -32,6 +32,12 @@ otupdate() {
return 1
fi
cd -
+ cd $HOME/opentox-ruby/www/opentox/algorithm/bbrc-sample
+ if ! git pull; then
+ echo "Error! Pull for Bbrc-Sample failed."
+ return 1
+ fi
+ cd -
cd opentox-ruby
LINK_DIR=`gem which opentox-ruby | sed 's/\/opentox-ruby.rb//'`
if [ -h $LINK_DIR ]; then